Subject: Re: [Internal review][PATCH stable v5.4 1/2] ICMPv6: Add ICMPv6 Parameter Problem, code 3 definition

From: Greg KH <[email-masked]>
Date: Sat, 30 Jan 2021 09:36:12 +0100

On Sat, Jan 30, 2021 at 12:57:40AM +0530, Aviraj CJ wrote:
> From: Hangbin Liu <[email-masked]>
> 
> commit b59e286be280fa3c2e94a0716ddcee6ba02bc8ba upstream.
> 
> Based on RFC7112, Section 6:
> 
>    IANA has added the following "Type 4 - Parameter Problem" message to
>    the "Internet Control Message Protocol version 6 (ICMPv6) Parameters"
>    registry:
> 
>       CODE     NAME/DESCRIPTION
>        3       IPv6 First Fragment has incomplete IPv6 Header Chain
> 
> Signed-off-by: Hangbin Liu <[email-masked]>
> Signed-off-by: Jakub Kicinski <[email-masked]>
> Signed-off-by: Aviraj CJ <[email-masked]>
> ---
>  include/uapi/linux/icmpv6.h | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/include/uapi/linux/icmpv6.h b/include/uapi/linux/icmpv6.h
> index 2622b5a3e616..9a31ea2ad1cf 100644
> --- a/include/uapi/linux/icmpv6.h
> +++ b/include/uapi/linux/icmpv6.h
> @@ -137,6 +137,7 @@ struct icmp6hdr {
>  #define ICMPV6_HDR_FIELD		0
>  #define ICMPV6_UNK_NEXTHDR		1
>  #define ICMPV6_UNK_OPTION		2
> +#define ICMPV6_HDR_INCOMP		3
>  
>  /*
>   *	constants for (set|get)sockopt
> -- 
> 2.26.2.Cisco
> 

What do you mean by "internal review" and what am I supposed to do with
this patch?  Same for the 2/2 patch in this series...

thanks,

greg k-h